Bug 50701 - should own some dirs under /usr/{share,lib}/gnumeric
Summary: should own some dirs under /usr/{share,lib}/gnumeric
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnumeric   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 50747
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-02 12:46 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 19:18:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-08-02 12:46:46 UTC
gnumeric owns files under /usr/share/gnumeric/0.67/python/ and
/usr/lib/gnumeric/0.67 but not the corresponding subdirs:

| $ rpm -qf /usr/share/gnumeric/0.67/python/ /usr/lib/gnumeric/0.67/
| file /usr/share/gnumeric/0.67/python is not owned by any package
| gnumeric-devel-0.67-6

(Although /usr/lib/gnumeric/0.67 is owned by the -devel package, it's not
owned by the base-package which has files there).

This leads to warning while updating the rpm-package:

--------
$ rpm -Uvh gnumeric-*0.67-6*
Warnung: /usr/lib/gnumeric/0.67 directory created with perms 0755.
Warnung: /usr/lib/gnumeric/0.67/plugins directory created with perms 0755.
Warnung: /usr/share/gnumeric/0.67 directory created with perms 0755.
Warnung: /usr/share/gnumeric/0.67/python directory created with perms 0755.
Warnung: /usr/share/locale/en_CA directory created with perms 0755.
Warnung: /usr/share/locale/en_CA/LC_MESSAGES directory created with perms 0755.

---------

Comment 1 Glen Foster 2001-08-02 21:44:47 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Owen Taylor 2001-08-03 22:49:20 UTC
Everything but the en_CA message should be fixed by
gnumeric-0.67-6

The en_CA problem, if it is a problem, is probably a
problem with glibc-common. But if you do a rpm -qf
in /usr/share/locale, you'll see that there are
a whole lot of other unknowned directories, so maybe
it isn't a problem at all. I don't know.

I don't think individual packages should be owning
directories in /usr/share/locale anyways.




Comment 3 Enrico Scholz 2001-08-03 23:02:04 UTC
Regarding the /usr/share/locale/* dirs I have filed bug #50747 already.

Comment 4 Jay Turner 2002-04-02 17:09:14 UTC
Fix confirmed with the Skipjack packages.


Note You need to log in before you can comment on or make changes to this bug.